Update Expenses
/unified/accounting/expenses/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.debugreturns the final unified result alongside raw remote fetch information. The response is an envelope containingresult(identical to unified mode output) anddebug(withrequestUrl,requestOptions,data,responseHeaders, and for list operations:nextCursor,isLooping,isEmptyResult,resultCount).debugisnullfor static responses or whentruto_skip_api_call=true.
Defaults to unified.
unifiedunifiedrawnormalizedstreamdebug
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
Bank or card the expense was paid from (QBO AccountRef).
1 supported
The contact the expense was made to.
1 supported
The currency of the expense
1 supported
Replaces the entire line array. Include every line that should remain. Add a new line by omitting id. Do not send an empty array.
1 supported
The account of the line item
The description of the line item
The unique identifier for line items
The name of the line item
The quantity of the line item
The tax rate of the line item
The total line amount of the line item
The type of the line item
The unit price of the line item
The memo of the expense
1 supported
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
QuickBooks version token used for optimistic locking on update. Read it from remote_data.SyncToken on a prior get/list, or omit it and we fetch it.
1 supported
The transaction date of the expense
1 supported
Response Body
The unique identifier for expenses
1 supported
This represents the date when the expense was created
1 supported
The currency of the expense
1 supported
The exchange rate of the expense
The line items of the expense
1 supported
The account of the line item
The description of the line item
The unique identifier for line items
The name of the line item
The quantity of the line item
The tax rate of the line item
The total line amount of the line item
The type of the line item
The unit price of the line item
The memo of the expense
1 supported
Raw data returned from the remote API call.
The total amount of the expense
1 supported
The transaction date of the expense
1 supported
This represents the date when the expense was updated
1 supported
truto unified accounting expenses '<resource_id>' \
-m update \
-a '<integrated_account_id>' \
-b '{
"line_items": [],
"currency": "your_currency",
"contact": "your_contact",
"memo": "your_memo",
"transaction_date": "your_transaction_date",
"sync_token": "your_sync_token",
"remote_data": {}
}' \
-o jsonimport Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.update(
'accounting',
'expenses',
'<resource_id>',
{
"line_items": [],
"currency": "your_currency",
"contact": "your_contact",
"memo": "your_memo",
"transaction_date": "your_transaction_date",
"sync_token": "your_sync_token",
"remote_data": {}
},
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.update(
"accounting",
"expenses",
"<resource_id>",
{
"line_items": [],
"currency": "your_currency",
"contact": "your_contact",
"memo": "your_memo",
"transaction_date": "your_transaction_date",
"sync_token": "your_sync_token",
"remote_data": {}
},
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())curl -X PATCH 'https://api.truto.one/unified/accounting/expenses/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"line_items": [],
"currency": "your_currency",
"contact": "your_contact",
"memo": "your_memo",
"transaction_date": "your_transaction_date",
"sync_token": "your_sync_token",
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"line_items": [],
"currency": "your_currency",
"contact": "your_contact",
"memo": "your_memo",
"transaction_date": "your_transaction_date",
"sync_token": "your_sync_token",
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/accounting/expenses/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'PATCH',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/accounting/expenses/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"line_items": [],
"currency": "your_currency",
"contact": "your_contact",
"memo": "your_memo",
"transaction_date": "your_transaction_date",
"sync_token": "your_sync_token",
"remote_data": {}
}
response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())